App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Attributes | List of all members
mhr.appandroid.displayer.DisplayerTouchNavigator Class Reference

Třída pro dotykové ovládání pozice a zvětšení pro BitmapDisplayer. More...

Inheritance diagram for mhr.appandroid.displayer.DisplayerTouchNavigator:

## Classes
class | GestureListener
| Implementuje posun jedním prstem. More...
class | ScaleListener
| Implementuje posun dvěma prsty a zoom. More...

## Public Member Functions
| DisplayerTouchNavigator (BitmapDisplayer disp, Context context)
| Defaultní konstruktor.
boolean | onTouch (View v, MotionEvent ev)
| Metoda, která zpracovává MotionEvent pro displayer.

## Protected Attributes
Context | context = null
| Context, nutný pro vytvoření detektorů.
BitmapDisplayer | disp = null
| Ovládaný displayer.
GestureDetector | gestureDetector = null
| GestureDetector pro jednodotyková gesta, využívaný pro onScroll.
ScaleGestureDetector | scaleDetector = null
| GestureDetector pro zoomování a posun dvěma prsty.
float | lastX
| Poslední známá souřadnice posunu, používá se pouze pro dvoudotyková gesta.
float | lastY
| Poslední známá souřadnice posunu, používá se pouze pro dvoudotyková gesta.

## Detailed Description

Třída pro dotykové ovládání pozice a zvětšení pro BitmapDisplayer.

Třída se zaregistruje jako onTouchListener pro SurfaceView na který vykresluje BitmapDisplayer a pomocí dotykových gest nastavuje pozici a zvětšení vykreslované bitmapy. Podporuje posun jedním prstem a zvětšování + posun dvěma prsty, kdy jako bod který určuje posun se používá bod uprostřed dvoudotekového gesta.

Využívá androidiích GestureDetectorů.

Definition at line 20 of file DisplayerTouchNavigator.java.

## Constructor & Destructor Documentation

mhr.appandroid.displayer.DisplayerTouchNavigator.DisplayerTouchNavigator | ( | BitmapDisplayer | disp,
|  | Context | context
| ) |  |
| inline

Defaultní konstruktor.

       Ihned po vytvoření se zaregistruje jako onTouchListener a ovládá daný displayer.

Parameters

  disp | Ovládaný displayer.
  context | Kontext pro vytvoření GestureDetectorů.

Definition at line 104 of file DisplayerTouchNavigator.java.

{
this.disp = disp;
this.context = context;
gestureDetector = new GestureDetector(context, new GestureListener());
scaleDetector = new ScaleGestureDetector(context, new ScaleListener());
disp.getSurfaceView().setOnTouchListener(this);
}

## Member Function Documentation

boolean mhr.appandroid.displayer.DisplayerTouchNavigator.onTouch | ( | View | v,
|  | MotionEvent | ev
| ) |  |
| inline

Metoda, která zpracovává MotionEvent pro displayer.

Definition at line 118 of file DisplayerTouchNavigator.java.

{
scaleDetector.onTouchEvent(ev);
gestureDetector.onTouchEvent(ev);
return true; // Zpracovali jsme
}

## Member Data Documentation

Context mhr.appandroid.displayer.DisplayerTouchNavigator.context = null
| protected

Context, nutný pro vytvoření detektorů.

Definition at line 82 of file DisplayerTouchNavigator.java.

BitmapDisplayer mhr.appandroid.displayer.DisplayerTouchNavigator.disp = null
| protected

Ovládaný displayer.

Definition at line 83 of file DisplayerTouchNavigator.java.

GestureDetector mhr.appandroid.displayer.DisplayerTouchNavigator.gestureDetector = null
| protected

GestureDetector pro jednodotyková gesta, využívaný pro onScroll.

Definition at line 84 of file DisplayerTouchNavigator.java.

float mhr.appandroid.displayer.DisplayerTouchNavigator.lastX
| protected

Poslední známá souřadnice posunu, používá se pouze pro dvoudotyková gesta.

Definition at line 87 of file DisplayerTouchNavigator.java.

float mhr.appandroid.displayer.DisplayerTouchNavigator.lastY
| protected

Poslední známá souřadnice posunu, používá se pouze pro dvoudotyková gesta.

Definition at line 88 of file DisplayerTouchNavigator.java.

ScaleGestureDetector mhr.appandroid.displayer.DisplayerTouchNavigator.scaleDetector = null
| protected

GestureDetector pro zoomování a posun dvěma prsty.

Definition at line 85 of file DisplayerTouchNavigator.java.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appandroid/src/mhr/appandroid/displayer/DisplayerTouchNavigator.java